Bug 370821 - (no-snd-symlinks) no volume control GStreamer plugins and/or devices found.
no volume control GStreamer plugins and/or devices found.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
: 384731 389681 431834 (view as bug list)
Depends On:
Blocks: 426137
  Show dependency treegraph
 
Reported: 2007-11-08 00:32 EST by Leo Canale
Modified: 2014-01-23 14:34 EST (History)
10 users (show)

See Also:
Fixed In Version: 2.6.23.9-85.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:22:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
PulseAudio Volume Control bug report. (298.41 KB, text/plain)
2007-11-08 00:34 EST, Leo Canale
no flags Details
lshal output (85.71 KB, text/plain)
2007-11-13 20:31 EST, Leo Canale
no flags Details
A shell script to fix the ACL's of the relevant device files and load the alsa modules into PulseAudio (563 bytes, text/plain)
2007-11-25 11:33 EST, Hans Otten
no flags Details
.xsession-errors from a clean account (5.11 KB, text/plain)
2008-12-02 17:55 EST, James
no flags Details

  None (edit)
Description Leo Canale 2007-11-08 00:32:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.8) Gecko/20071030 Fedora/2.0.0.8-2.fc8 Firefox/2.0.0.8

Description of problem:
Cannot get the volume control to show volume slider or sound to work! When I click on it, I get the following 2 messages.
"The volume control did not find any elements and/or devices to control. This means either that you don't have the right GStreamer plugins installed, or that you don't have a sound card configured."
and
"No volume control GStreamer plugins and/or devices found."
These both show up on a message box. I have tried installing the required plugins. but still does not allow volume control or sound to work. I do however have sound working by using the "Sound Detection" app. It recognizes my sound card and plays the guitar sound.
I have tried to execute the command in terminal window as a normal user and does not give me any feedback. Just the message box "No volume control GStreamer plugins and/or devices found." When I executed the same command as su it complained about the following "The /usr/bin/gnome-volume-control application attempted to load
    /usr/lib/gstreamer-0.10/libgstflump3dec.so which requires text relocation.
    This is a potential security problem. Most libraries do not need this
    permission. Libraries are sometimes coded incorrectly and request this
    permission.  The http://people.redhat.com/drepper/selinux-mem.html web page
    explains how to remove this requirement.  You can configure SELinux
    temporarily to allow /usr/lib/gstreamer-0.10/libgstflump3dec.so to use
    relocation as a workaround, until the library is fixed. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package."
I tried to change the contexts with the following:"The following command will allow this access:
    chcon -t textrel_shlib_t /usr/lib/gstreamer-0.10/libgstflump3dec.so" but still no luck.


Version-Release number of selected component (if applicable):
Volume Applet 2.20

How reproducible:
Always


Steps to Reproduce:
1.Described in the description field!
2.
3.

Actual Results:


Expected Results:


Additional info:
I don't know what else to try I have installed alsa* everything.
Also when I execute the following: "gnome-sound-properties
*** PULSEAUDIO: Unable to connect: Connection refused
sound-properties-Message: Error running pipeline 'audiotestsrc wave=sine freq=512 ! audioconvert ! audioresample ! gconfaudiosink': Internal GStreamer error: state change failed.  Please file a bug at http://bugzilla.gnome.org/enter_bug.cgi?product=GStreamer. [gstswitchsink.c(155): gst_switch_commit_new_kid (): /pipeline0/gconfaudiosink0:
Failed to set state on new child.]" it causes an error.
PulseAudio Volume Control causes a segmentation fault. Here is the debug info from this:
Comment 1 Leo Canale 2007-11-08 00:34:01 EST
Created attachment 251211 [details]
PulseAudio Volume Control bug report.
Comment 2 Leo Canale 2007-11-11 11:04:45 EST
After digging into it more. I found that the sound card is detected as "root" 
not as "user". I have used this machine since FC4 and never had any problem 
with sound before. I have also booted into KDE and it gives me an error that I 
had no rights to /dev/dsp. I added myself to the group so I had rights and I 
started getting sound in KDE but not in GNOME. Gnome changed back the rights 
to /dev/dsp. KDE started giving me all kinds of other errors and had to 
shutdown. I have also noticed that "user" does not have rights to fd and cd and 
all other devices. I have re-installed Fedora even with out pulseaudio, and 
still the same thing it does not load sound card for the "user". 
Comment 3 Leo Canale 2007-11-11 11:14:41 EST
Should be changed to "system-config-soundcard".
Comment 4 Ray Strode [halfline] 2007-11-12 11:58:38 EST
do you have hal running? sound card permissions are set by hal.
Comment 5 David Zeuthen 2007-11-12 12:39:09 EST
Do you have ConsoleKit running? Many users tend to turn it off... which is
bloody annoying..
Comment 6 Leo Canale 2007-11-12 14:41:18 EST
Yes to #4 and #5. This is a fresh install! I have installed/reinstall many 
times from network and from DVD. Always the same result!
Look at https://bugzilla.redhat.com/show_bug.cgi?id=292201
comments #17 & #18. I dont believe in making all kinds of chages to my 
systems. I do want to however try to help solve the problem the right way. My 
machine has never had sound issues until f8, and I'm only trying to play ogg 
files.
Comment 7 Leo Canale 2007-11-12 21:59:32 EST
Here is all I know what to check.
[root@freshy-desktop ~]# chkconfig  --list haldaemon 
haldaemon       0:off   1:off   2:off   3:on    4:on    5:on    6:off
[root@freshy-desktop ~]# 
[root@freshy-desktop ~]# chkconfig --list ConsoleKit
ConsoleKit      0:off   1:off   2:on    3:on    4:on    5:on    6:off
[root@freshy-desktop ~]# 
[root@freshy-desktop ~]# ls -al /dev/snd/
total 0
drwxr-xr-x   2 root root    200 2007-11-12 20:35 .
drwxr-xr-x  13 root root   4760 2007-11-12 20:35 ..
crw-rw----   1 root root 116, 9 2007-11-12 20:35 controlC0
crw-rw----   1 root root 116, 4 2007-11-12 20:35 midiC0D0
crw-rw----   1 root root 116, 8 2007-11-12 20:35 pcmC0D0c
crw-rw----   1 root root 116, 7 2007-11-12 20:35 pcmC0D0p
crw-rw----   1 root root 116, 6 2007-11-12 20:35 pcmC0D1p
crw-rw----   1 root root 116, 5 2007-11-12 20:35 pcmC0D2p
crw-rw----+  1 root root 116, 3 2007-11-12 20:35 seq
crw-rw----+  1 root root 116, 2 2007-11-12 20:35 timer
[root@freshy-desktop ~]# 
[root@freshy-desktop ~]# find /dev -type c -o -type b | xargs ls -l | grep +
crw-rw----+ 1 root     root    14,   1 2007-11-12 20:35 /dev/sequencer
crw-rw----+ 1 root     root    14,   8 2007-11-12 20:35 /dev/sequencer2
crw-rw----+ 1 root     root   116,   3 2007-11-12 20:35 /dev/snd/seq
crw-rw----+ 1 root     root   116,   2 2007-11-12 20:35 /dev/snd/timer
brw-rw----+ 1 root     disk    11,   0 2007-11-12 20:35 /dev/sr0
brw-rw----+ 1 root     disk    11,   1 2007-11-12 20:35 /dev/sr1
[root@freshy-desktop ~]# 
[root@freshy-desktop ~]# cat /var/lib/hal/acl-list 
/dev/sequencer  /org/freedesktop/Hal/devices/computer_oss_sequencer     u      42
/dev/sequencer  /org/freedesktop/Hal/devices/computer_oss_sequencer     u      500
/dev/sequencer2 /org/freedesktop/Hal/devices/computer_oss_sequencer_0   u      42
/dev/sequencer2 /org/freedesktop/Hal/devices/computer_oss_sequencer_0   u      500
/dev/snd/seq    /org/freedesktop/Hal/devices/computer_alsa_sequencer    u      500
/dev/snd/seq    /org/freedesktop/Hal/devices/computer_alsa_sequencer    u      42
/dev/snd/timer  /org/freedesktop/Hal/devices/computer_alsa_timer        u      42
/dev/snd/timer  /org/freedesktop/Hal/devices/computer_alsa_timer        u      500
/dev/sr0        /org/freedesktop/Hal/devices/storage_model_DVD_ROM_SD_616T     u500
/dev/sr1        /org/freedesktop/Hal/devices/storage_model_DVD_RW_ND_1100A     u500
[root@freshy-desktop ~]# 
[engwnbie@freshy-desktop ~]$ aplay -l
aplay: device_list:205: no soundcards found...
[engwnbie@freshy-desktop ~]$ su -
Password: 
[root@freshy-desktop ~]# aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Live [Dell Sound Blaster Live!], device 0: emu10k1x [EMU10K1X Front]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Live [Dell Sound Blaster Live!], device 1: emu10k1x [EMU10K1X Rear]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Live [Dell Sound Blaster Live!], device 2: emu10k1x [EMU10K1X Center/LFE]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
[root@freshy-desktop ~]# 
As you can see it only set a few things for the normal "user".
Let me know what else I can trace.
Leo.


Comment 8 David Zeuthen 2007-11-12 22:05:42 EST
You want to do 'getfacl /dev/snd/*' instead...
Comment 9 David Zeuthen 2007-11-12 22:07:07 EST
Also, what is the output of 

 1. ck-list-sessions
 2. rpm -q hal ConsoleKit ConsoleKit-libs
Comment 10 Leo Canale 2007-11-12 22:18:00 EST
Here you are.
[engwnbie@freshy-desktop ~]$ getfacl /dev/snd/*
getfacl: Removing leading '/' from absolute path names
# file: dev/snd/controlC0
# owner: root
# group: root
user::rw-
group::rw-
other::---

# file: dev/snd/midiC0D0
# owner: root
# group: root
user::rw-
group::rw-
other::---

# file: dev/snd/pcmC0D0c
# owner: root
# group: root
user::rw-
group::rw-
other::---

# file: dev/snd/pcmC0D0p
# owner: root
# group: root
user::rw-
group::rw-
other::---

# file: dev/snd/pcmC0D1p
# owner: root
# group: root
user::rw-
group::rw-
other::---

# file: dev/snd/pcmC0D2p
# owner: root
# group: root
user::rw-
group::rw-
other::---

# file: dev/snd/seq
# owner: root
# group: root
user::rw-
group::rw-
mask::rw-
other::---

# file: dev/snd/timer
# owner: root
# group: root
user::rw-
user:gdm:rw-
group::rw-
mask::rw-
other::---

[engwnbie@freshy-desktop ~]$ 
[root@freshy-desktop ~]# rpm -q hal ConsoleKit ConsoleKit-libs
hal-0.5.10-1.fc8
ConsoleKit-0.2.3-1.fc8
ConsoleKit-libs-0.2.3-1.fc8
[root@freshy-desktop ~]# 
[root@freshy-desktop ~]# ck-list-sessions

** (ck-list-sessions:30564): WARNING **: Failed to get list of seats: The name
org.freedesktop.ConsoleKit was not provided by any .service files
[root@freshy-desktop ~]#

Comment 11 David Zeuthen 2007-11-12 22:43:07 EST
(In reply to comment #10)
> [root@freshy-desktop ~]# ck-list-sessions
> 
> ** (ck-list-sessions:30564): WARNING **: Failed to get list of seats: The name
> org.freedesktop.ConsoleKit was not provided by any .service files

This is the problem. It appears ConsoleKit isn't running. Try starting it and
I'm sure things will start working (service ConsoleKit start). Btw, are you
running SELinux in enforcing mode (use getenforce to find out).
Comment 12 Leo Canale 2007-11-13 18:42:08 EST
Ok tried, but no change. When I check earlier it was already running, and have
not ever turned off. Look at Comment #7 
[root@freshy-desktop ~]# chkconfig --level 35 ConsoleKit on
[root@freshy-desktop ~]# service ConsoleKit start
Starting ConsoleKit:                                       [  OK  ]
[root@freshy-desktop ~]# ck-list-sessions
[root@freshy-desktop ~]# 
[root@freshy-desktop ~]# find /dev -type c -o -type b | xargs ls -l | grep +
crw-rw----+ 1 root     root    14,   1 2007-11-13 18:28 /dev/sequencer
crw-rw----+ 1 root     root    14,   8 2007-11-13 18:28 /dev/sequencer2
crw-rw----+ 1 root     root   116,   3 2007-11-13 18:28 /dev/snd/seq
crw-rw----+ 1 root     root   116,   2 2007-11-13 18:28 /dev/snd/timer
brw-r-----+ 1 root     disk    11,   0 2007-11-13 18:28 /dev/sr0
brw-r-----+ 1 root     disk    11,   1 2007-11-13 18:28 /dev/sr1
[root@freshy-desktop ~]# 
[root@freshy-desktop ~]# chkconfig  --list haldaemon 
haldaemon       0:off   1:off   2:off   3:on    4:on    5:on    6:off
[root@freshy-desktop ~]# chkconfig --list ConsoleKit
ConsoleKit      0:off   1:off   2:on    3:on    4:on    5:on    6:off
[root@freshy-desktop ~]# 


Comment 13 David Zeuthen 2007-11-13 19:07:59 EST
(In reply to comment #12)
> Ok tried, but no change. When I check earlier it was already running, and have
> not ever turned off. Look at Comment #7 
> [root@freshy-desktop ~]# chkconfig --level 35 ConsoleKit on
> [root@freshy-desktop ~]# service ConsoleKit start
> Starting ConsoleKit:                                       [  OK  ]
> [root@freshy-desktop ~]# ck-list-sessions

You need to login again for this to take effect. How are you logging in?
Comment 14 Leo Canale 2007-11-13 19:23:10 EST
Sorry if this sound bad! in reply to comment #13 that was after a restart. I
logged in the same way I have done since Fedora Core 2. As a normal user.
Why what am I doing wrong? This was a fresh re-install with all updates to date.
Leo
Comment 15 David Zeuthen 2007-11-13 19:26:35 EST
(In reply to comment #14)
> Sorry if this sound bad! in reply to comment #13 that was after a restart. I
> logged in the same way I have done since Fedora Core 2. As a normal user.
> Why what am I doing wrong? This was a fresh re-install with all updates to date.
> Leo

Are you using gdm, kdm, xdm? Do you login via the console on VT1? Stuff like that.

Also, you never answered my question in comment 11 on whether you're running
with SELinux in enforcing mode.
Comment 16 Leo Canale 2007-11-13 19:45:30 EST
Sorry Logged in by gnome I guess gdm. SELinux is as default, yes enforcing mode.
Comment 17 David Zeuthen 2007-11-13 19:54:48 EST
Yay, SELinux wins again. Hmm.. OK, try to put SELinux in permissive mode [1]
then reboot and things should work.  Do they?

[1] : one way to do this is to edit /etc/sysconfig/selinux
Comment 18 Leo Canale 2007-11-13 20:10:22 EST
I set SELinux=disabled. Still no go.
[engwnbie@freshy-desktop ~]$ su -
Password: 
[root@freshy-desktop ~]# find /dev -type c -o -type b | xargs ls -l | grep +
crw-rw----+ 1 root     root    14,   1 2007-11-13 20:04 /dev/sequencer
crw-rw----+ 1 root     root    14,   8 2007-11-13 20:04 /dev/sequencer2
crw-rw----+ 1 root     root   116,   3 2007-11-13 20:04 /dev/snd/seq
crw-rw----+ 1 root     root   116,   2 2007-11-13 20:04 /dev/snd/timer
brw-rw----+ 1 root     disk    11,   0 2007-11-13 20:04 /dev/sr0
brw-rw----+ 1 root     disk    11,   1 2007-11-13 20:04 /dev/sr1
[root@freshy-desktop ~]# chkconfig --list ConsoleKit
ConsoleKit      0:off   1:off   2:on    3:on    4:on    5:on    6:off
[root@freshy-desktop ~]# ck-list-sessions
Session1:
        uid = '500'
        realname = 'Leo Canale'
        seat = 'Seat1'
        session-type = ''
        active = TRUE
        x11-display = ':0'
        x11-display-device = '/dev/tty7'
        display-device = ''
        remote-host-name = ''
        is-local = TRUE
        on-since = '2007-11-14T01:05:15Z'
[root@freshy-desktop ~]# 
Man I have never had this luck with Fedora. I used to Laugh when I would read
others having problem like these and I never did. I guess payback!
Comment 19 David Zeuthen 2007-11-13 20:16:22 EST
Are you logging in as root?
Comment 20 David Zeuthen 2007-11-13 20:18:39 EST
(In reply to comment #19)
> Are you logging in as root?

Actually that's a stupid question as the output of comment 18 suggests
otherwise... so ConsoleKit looks good now. Try pasting the output of

# cat /var/lib/hal/acl-list

from a root shell inside the session you logged into as uid 500. Thanks.
Comment 21 David Zeuthen 2007-11-13 20:19:26 EST
Also, please attach output of lshal and lsmod. Thanks.
Comment 22 Leo Canale 2007-11-13 20:31:33 EST
Created attachment 257571 [details]
lshal output
Comment 23 Leo Canale 2007-11-13 20:34:12 EST
Sorry Take Two. Blew it away the first time!
[engwnbie@freshy-desktop ~]$ su
Password: 
[root@freshy-desktop engwnbie]# cat /var/lib/hal/acl-list
/dev/sequencer  /org/freedesktop/Hal/devices/computer_oss_sequencer     u      42
/dev/sequencer  /org/freedesktop/Hal/devices/computer_oss_sequencer     u      500
/dev/sequencer2 /org/freedesktop/Hal/devices/computer_oss_sequencer_0   u      42
/dev/sequencer2 /org/freedesktop/Hal/devices/computer_oss_sequencer_0   u      500
/dev/snd/seq    /org/freedesktop/Hal/devices/computer_alsa_sequencer    u      42
/dev/snd/seq    /org/freedesktop/Hal/devices/computer_alsa_sequencer    u      500
/dev/snd/timer  /org/freedesktop/Hal/devices/computer_alsa_timer        u      42
/dev/snd/timer  /org/freedesktop/Hal/devices/computer_alsa_timer        u      500
/dev/sr0        /org/freedesktop/Hal/devices/storage_model_DVD_ROM_SD_616T     u500
/dev/sr1        /org/freedesktop/Hal/devices/storage_model_DVD_RW_ND_1100A     u500
[root@freshy-desktop engwnbie]# su-
bash: su-: command not found
[root@freshy-desktop engwnbie]# su -
[root@freshy-desktop ~]# lsmod
Module                  Size  Used by
rfcomm                 36825  0 
l2cap                  25537  9 rfcomm
bluetooth              49317  4 rfcomm,l2cap
autofs4                20421  2 
sunrpc                140765  1 
loop                   16581  0 
dm_multipath           18249  0 
ipv6                  245989  20 
snd_emu10k1x           18245  0 
snd_rawmidi            21185  1 snd_emu10k1x
snd_ac97_codec         92389  1 snd_emu10k1x
snd_seq_dummy           6725  0 
snd_seq_oss            29889  0 
snd_seq_midi_event      9793  1 snd_seq_oss
snd_seq                44849  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device         10061  4 snd_rawmidi,snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            37569  0 
snd_mixer_oss          16705  1 snd_pcm_oss
snd_pcm                63685  3 snd_emu10k1x,snd_ac97_codec,snd_pcm_oss
snd_timer              20549  2 snd_seq,snd_pcm
snd                    43461  10
snd_emu10k1x,snd_rawmidi,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore               9633  1 snd
emu10k1_gp              6977  0 
e100                   33997  0 
ac97_bus                6081  1 snd_ac97_codec
gameport               14665  2 emu10k1_gp
snd_page_alloc         11337  2 snd_emu10k1x,snd_pcm
mii                     8385  1 e100
parport_pc             26981  0 
parport                32393  1 parport_pc
pcspkr                  6593  0 
button                 10321  0 
i2c_i801               12113  0 
intel_rng               8641  0 
floppy                 53125  0 
i2c_core               21825  1 i2c_i801
iTCO_wdt               13797  0 
iTCO_vendor_support     7109  1 iTCO_wdt
sr_mod                 17509  0 
cdrom                  33889  1 sr_mod
sg                     31965  0 
dm_snapshot            17765  0 
dm_zero                 5825  0 
dm_mirror              21569  0 
dm_mod                 46209  9 dm_multipath,dm_snapshot,dm_zero,dm_mirror
ata_generic             8901  0 
ata_piix               16709  2 
libata                 99633  2 ata_generic,ata_piix
sd_mod                 27329  3 
scsi_mod              119757  4 sr_mod,sg,libata,sd_mod
ext3                  110665  2 
jbd                    52457  1 ext3
mbcache                10177  1 ext3
uhci_hcd               23633  0 
ohci_hcd               21445  0 
ehci_hcd               31693  0 
[root@freshy-desktop ~]# 

Comment 24 David Zeuthen 2007-11-13 20:36:24 EST
Looks like a problem with the sound drivers.. What is the output of

 1. tree /sys/class/sound
    (you may need to install the tree package here)

 2. tree /dev/snd

Comment 25 Leo Canale 2007-11-13 20:42:13 EST
Hope this is OK did not understand the directions?
[engwnbie@freshy-desktop ~]$ tree /sys/class/sound
/sys/class/sound
|-- adsp
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- audio
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- controlC0
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- dmmidi
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- dsp
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- midi
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- midiC0D0
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- mixer
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- pcmC0D0c
|   |-- dev
|   |-- pcm_class
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- pcmC0D0p
|   |-- dev
|   |-- pcm_class
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- pcmC0D1p
|   |-- dev
|   |-- pcm_class
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- pcmC0D2p
|   |-- dev
|   |-- pcm_class
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- seq
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- sequencer
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- sequencer2
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
`-- timer
    |-- dev
    |-- power
    |   `-- wakeup
    |-- subsystem -> ../../../class/sound
    `-- uevent

48 directories, 52 files
[engwnbie@freshy-desktop ~]$
[engwnbie@freshy-desktop ~]$ tree /sys/class/sound
/sys/class/sound
|-- adsp
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- audio
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- controlC0
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- dmmidi
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- dsp
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- midi
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- midiC0D0
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- mixer
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- pcmC0D0c
|   |-- dev
|   |-- pcm_class
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- pcmC0D0p
|   |-- dev
|   |-- pcm_class
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- pcmC0D1p
|   |-- dev
|   |-- pcm_class
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- pcmC0D2p
|   |-- dev
|   |-- pcm_class
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- seq
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- sequencer
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- sequencer2
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
`-- timer
    |-- dev
    |-- power
    |   `-- wakeup
    |-- subsystem -> ../../../class/sound
    `-- uevent

48 directories, 52 files
[engwnbie@freshy-desktop ~]$

Comment 26 David Zeuthen 2007-11-13 20:50:38 EST
That's why. Your audio driver, EMU10K1X, is slightly broken insofar that the
device-> symlinks are missing. It's probably a two or three line fix in the
driver. Reassigning to the kernel.

Leo, for the SELinux issue discovered in comment 17 and comment 18 please file a
new bug.

(Note: for Fedora 9 we'll probably juggle around some bits in the stack so we're
not so reliant on the device-> symlinks).
Comment 27 Leo Canale 2007-11-13 20:58:30 EST
Ok, will do! 
Thanks, Leo
Comment 28 David Zeuthen 2007-11-15 19:46:48 EST
Lennart (of PulseAudio fame) just filed this in the upstream ALSA bug tracker

https://bugtrack.alsa-project.org/alsa-bug/view.php?id=3575
Comment 29 Leo Canale 2007-11-18 12:49:55 EST
For curiosity I downloaded the live CD and tested on my fist machine with Sound
Blaster Card. I get the same problem as  what I get from the installed DVD
version no difference. Then I tried the live CD on another machine (ubuntu
installed) with the Intel card, and everything is fine here is the output.
[fedora@localhost ~]$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: I82801DBICH4 [Intel 82801DB-ICH4], device 0: Intel ICH [Intel 82801DB-ICH4]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: I82801DBICH4 [Intel 82801DB-ICH4], device 4: Intel ICH - IEC958 [Intel
82801DB-ICH4 - IEC958]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
[fedora@localhost ~]$ find /dev -type c -o -type b | xargs ls -l | grep +
crw-rw----+ 1 root   root    14,  12 2007-11-18 17:17 /dev/adsp
crw-rw----+ 1 root   root    14,   4 2007-11-18 17:17 /dev/audio
crw-rw----+ 1 root   root    14,   3 2007-11-18 17:17 /dev/dsp
crw-rw----+ 1 root   root    14,   0 2007-11-18 17:17 /dev/mixer
crw-rw----+ 1 root   root    14,   1 2007-11-18 17:17 /dev/sequencer
crw-rw----+ 1 root   root    14,   8 2007-11-18 17:17 /dev/sequencer2
crw-rw----+ 1 root   root   116,  10 2007-11-18 17:17 /dev/snd/controlC0
crw-rw----+ 1 root   root   116,   9 2007-11-18 17:17 /dev/snd/pcmC0D0c
crw-rw----+ 1 root   root   116,   8 2007-11-18 17:17 /dev/snd/pcmC0D0p
crw-rw----+ 1 root   root   116,   7 2007-11-18 17:17 /dev/snd/pcmC0D1c
crw-rw----+ 1 root   root   116,   6 2007-11-18 17:17 /dev/snd/pcmC0D2c
crw-rw----+ 1 root   root   116,   5 2007-11-18 17:17 /dev/snd/pcmC0D3c
crw-rw----+ 1 root   root   116,   4 2007-11-18 17:17 /dev/snd/pcmC0D4p
crw-rw----+ 1 root   root   116,   3 2007-11-18 17:17 /dev/snd/seq
crw-rw----+ 1 root   root   116,   2 2007-11-18 17:17 /dev/snd/timer
brw-rw----+ 1 root   disk    11,   0 2007-11-18 12:16 /dev/sr0
[fedora@localhost ~]$ 

Even the Live CD has the same problem, when boots and find what ever hardware it
does not like it sets access rights wrong!
Comment 30 Hans Otten 2007-11-25 11:33:33 EST
Created attachment 268271 [details]
A shell script to fix the ACL's of the relevant device files and load the alsa modules into PulseAudio

This is a shell script that fixes the ACL's for the sound related device files
relevant for my machine (which has a Dell SoundBlaster Live! card (EMU10K1X
driver)). It also loads the correct modules into PulseAudio (module-alsa-sink
and module-alsa-source). Run this script once (as root) after logging in. Note
that this is a work-around. I tried fixing the original bug (no device link in
/sys/class/sound/) but I couldn't find it in the kernel source. The sysfs stuff
is pretty obscure :-(
Comment 31 Lennart Poettering 2007-11-29 19:18:21 EST
This has been fixed upstream, BTW.

http://mailman.alsa-project.org/pipermail/alsa-devel/2007-November/004479.html

And AFAIK Dave Jones already pulled a patch from ALSA HG into our kernel.
Comment 32 Lennart Poettering 2007-11-29 20:07:17 EST
*** Bug 384731 has been marked as a duplicate of this bug. ***
Comment 33 David Zeuthen 2007-11-30 13:03:27 EST
*** Bug 389681 has been marked as a duplicate of this bug. ***
Comment 34 Chuck Ebbert 2007-11-30 17:58:32 EST
Patch queued for F7 and F8
Comment 35 Chuck Ebbert 2007-11-30 20:05:48 EST
Patch in CVS
Comment 36 Adam Pribyl 2007-12-05 03:23:19 EST
What this means? Latest kernel update does not fix this... at least for me.
lshal still shows only sequencer and timer.
Comment 37 Lubomir Kundrak 2007-12-05 03:55:43 EST
Adam: It simply means what that the patch is commited to the versioning control
system, not that it is pushed as an update. Which kernel do you have? --
2.6.23.1-49.fc8 or kernel-2.6.23.8-63.fc8 [1] do not fix this,
kernel-2.6.23.9-78.fc8 [2] should.

[1] http://koji.fedoraproject.org/koji/buildinfo?buildID=25154
[2] http://koji.fedoraproject.org/koji/buildinfo?buildID=26543

You can easily check by looking up this message in the changelog:

* Fri Nov 30 2007 Chuck Ebbert <cebbert@redhat.com>
- ALSA: fix missing controls on some drivers (#370821)
- ACPI: send initial button state on startup (#275651)
Comment 38 Bukovansky Richard 2007-12-05 10:18:40 EST
It seems, I do have same issue. System-config-soundcard detects my laptops 
soundacard (Dell Latitude D610 with Intel chipset - ICH6) and normally plays 
testing audio, but GNOME volume control screams about GStreamer plugin(s) or 
device to control. Yesterday it was working normally but today is nightmare 
(there were some updates downloaded and installed by yum yesterday, but nothing 
seems to be relevant to sound or anything like that).

I have tried update kernel to 2.6.39.9-78.fc8, but it doesn't help.

Any help appreciated. Thanks.
Comment 39 Espen Stefansen 2007-12-05 11:41:30 EST
This seems to happen to me to. And i've got a Dell Latitude D630 with ICH8.
Comment 40 Espen Stefansen 2007-12-05 13:54:47 EST
To comment #38: It seems that the latest pilot-link gives out some wrong 
permissions. Take a look at bug #411321. After downgrading pilot-link, 
everything works fine for me. :)
Comment 41 Leo Canale 2007-12-08 08:50:45 EST
(In reply to comment #37)
> Adam: It simply means what that the patch is commited to the versioning 
control
> system, not that it is pushed as an update. Which kernel do you have? --
> 2.6.23.1-49.fc8 or kernel-2.6.23.8-63.fc8 [1] do not fix this,
> kernel-2.6.23.9-78.fc8 [2] should.
> [1] http://koji.fedoraproject.org/koji/buildinfo?buildID=25154
> [2] http://koji.fedoraproject.org/koji/buildinfo?buildID=26543
> You can easily check by looking up this message in the changelog:
> * Fri Nov 30 2007 Chuck Ebbert <cebbert@redhat.com>
> - ALSA: fix missing controls on some drivers (#370821)
> - ACPI: send initial button state on startup (#275651)

Yes, I can confirm! I re-installed fedora 8 completely, and installed kernel-
2.6.23.9-78.fc8 from koji web site and sound worked! I did have to however 
create /etc/asound.conf with the settings from pulseaudio site, or sound would 
skip or click?? Good work! Thanks! When is this kernel going to hit updates?
Comment 42 Adam Pribyl 2007-12-08 11:58:51 EST
No change for me with snd_sb16 and 2.6.23.9-78.. Hal still does not see the devices:
 lshal | grep alsa
udi = '/org/freedesktop/Hal/devices/computer_alsa_sequencer'
  alsa.device_file = '/dev/snd/seq'  (string)
  alsa.type = 'sequencer'  (string)
  info.capabilities = {'alsa', 'access_control'} (string list)
  info.category = 'alsa'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_alsa_sequencer'  (string)
udi = '/org/freedesktop/Hal/devices/computer_alsa_timer'
  alsa.device_file = '/dev/snd/timer'  (string)
  alsa.type = 'timer'  (string)
  info.capabilities = {'alsa', 'access_control'} (string list)
  info.category = 'alsa'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_alsa_timer'  (string)

Controls etc. are still owned by root only:
 ll /dev/snd
celkem 0
crw-rw----  1 root root 116, 8 2007-12-08 17:49 controlC0
crw-rw----  1 root root 116, 4 2007-12-08 17:49 hwC0D0
crw-rw----  1 root root 116, 5 2007-12-08 17:49 midiC0D0
crw-rw----  1 root root 116, 7 2007-12-08 17:49 pcmC0D0c
crw-rw----  1 root root 116, 6 2007-12-08 17:49 pcmC0D0p
crw-rw----+ 1 root root 116, 3 2007-12-08 17:49 seq
crw-rw----+ 1 root root 116, 2 2007-12-08 17:49 timer

root# aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: S16 [Sound Blaster 16], device 0: SB16 DSP [DSP v4.11]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
Comment 43 Leo Canale 2007-12-08 15:18:06 EST
Like I said before this is a fresh install! Here are all pertinent outputs.
[engwnbie@freshy-desktop ~]$ su -
Password: 
[root@freshy-desktop ~]# chkconfig  --list haldaemon
haldaemon       0:off   1:off   2:off   3:on    4:on    5:on    6:off
[root@freshy-desktop ~]# chkconfig --list ConsoleKit
ConsoleKit      0:off   1:off   2:on    3:on    4:on    5:on    6:off
[root@freshy-desktop ~]# ls -al /dev/snd/
total 0
drwxr-xr-x   2 root root    200 2007-12-08 13:23 .
drwxr-xr-x  13 root root   4760 2007-12-08 13:23 ..
crw-rw----+  1 root root 116, 9 2007-12-08 13:23 controlC0
crw-rw----+  1 root root 116, 4 2007-12-08 13:23 midiC0D0
crw-rw----+  1 root root 116, 8 2007-12-08 13:23 pcmC0D0c
crw-rw----+  1 root root 116, 7 2007-12-08 13:23 pcmC0D0p
crw-rw----+  1 root root 116, 6 2007-12-08 13:23 pcmC0D1p
crw-rw----+  1 root root 116, 5 2007-12-08 13:23 pcmC0D2p
crw-rw----+  1 root root 116, 3 2007-12-08 13:23 seq
crw-rw----+  1 root root 116, 2 2007-12-08 13:23 timer
[root@freshy-desktop ~]# find /dev -type c -o -type b | xargs ls -l | grep +
crw-rw----+ 1 root     root    14,  12 2007-12-08 13:23 /dev/adsp
crw-rw----+ 1 root     root    14,   4 2007-12-08 13:23 /dev/audio
crw-rw----+ 1 root     root    14,   3 2007-12-08 13:23 /dev/dsp
crw-rw----+ 1 root     root    14,   2 2007-12-08 13:23 /dev/midi
crw-rw----+ 1 root     root    14,   0 2007-12-08 13:23 /dev/mixer
crw-rw----+ 1 root     root    14,   1 2007-12-08 13:23 /dev/sequencer
crw-rw----+ 1 root     root    14,   8 2007-12-08 13:23 /dev/sequencer2
crw-rw----+ 1 root     root   116,   9 2007-12-08 13:23 /dev/snd/controlC0
crw-rw----+ 1 root     root   116,   4 2007-12-08 13:23 /dev/snd/midiC0D0
crw-rw----+ 1 root     root   116,   8 2007-12-08 13:23 /dev/snd/pcmC0D0c
crw-rw----+ 1 root     root   116,   7 2007-12-08 13:23 /dev/snd/pcmC0D0p
crw-rw----+ 1 root     root   116,   6 2007-12-08 13:23 /dev/snd/pcmC0D1p
crw-rw----+ 1 root     root   116,   5 2007-12-08 13:23 /dev/snd/pcmC0D2p
crw-rw----+ 1 root     root   116,   3 2007-12-08 13:23 /dev/snd/seq
crw-rw----+ 1 root     root   116,   2 2007-12-08 13:23 /dev/snd/timer
brw-rw----+ 1 root     disk    11,   0 2007-12-08 13:23 /dev/sr0
brw-rw----+ 1 root     disk    11,   1 2007-12-08 13:23 /dev/sr1
[root@freshy-desktop ~]# cat /var/lib/hal/acl-list 
/dev/adsp       /org/freedesktop/Hal/devices/pci_1102_6_oss_pcm_1       u      42
/dev/adsp       /org/freedesktop/Hal/devices/pci_1102_6_oss_pcm_1       u      500
/dev/audio      /org/freedesktop/Hal/devices/pci_1102_6_oss_pcm_0       u      42
/dev/audio      /org/freedesktop/Hal/devices/pci_1102_6_oss_pcm_0       u      500
/dev/dsp        /org/freedesktop/Hal/devices/pci_1102_6_oss_pcm_0_0     u      42
/dev/dsp        /org/freedesktop/Hal/devices/pci_1102_6_oss_pcm_0_0     u      500
/dev/midi       /org/freedesktop/Hal/devices/pci_1102_6_oss_midi_0      u      42
/dev/midi       /org/freedesktop/Hal/devices/pci_1102_6_oss_midi_0      u      500
/dev/mixer      /org/freedesktop/Hal/devices/pci_1102_6_oss_mixer__1    u      42
/dev/mixer      /org/freedesktop/Hal/devices/pci_1102_6_oss_mixer__1    u      500
/dev/sequencer  /org/freedesktop/Hal/devices/computer_oss_sequencer     u      42
/dev/sequencer  /org/freedesktop/Hal/devices/computer_oss_sequencer     u      500
/dev/sequencer2 /org/freedesktop/Hal/devices/computer_oss_sequencer_0   u      42
/dev/sequencer2 /org/freedesktop/Hal/devices/computer_oss_sequencer_0   u      500
/dev/snd/controlC0      /org/freedesktop/Hal/devices/pci_1102_6_alsa_control__1u42
/dev/snd/controlC0      /org/freedesktop/Hal/devices/pci_1102_6_alsa_control__1u500
/dev/snd/midiC0D0       /org/freedesktop/Hal/devices/pci_1102_6_alsa_midi_0    u42
/dev/snd/midiC0D0       /org/freedesktop/Hal/devices/pci_1102_6_alsa_midi_0    u500
/dev/snd/pcmC0D0c       /org/freedesktop/Hal/devices/pci_1102_6_alsa_capture_0 u42
/dev/snd/pcmC0D0c       /org/freedesktop/Hal/devices/pci_1102_6_alsa_capture_0 u500
/dev/snd/pcmC0D0p       /org/freedesktop/Hal/devices/pci_1102_6_alsa_playback_0u42
/dev/snd/pcmC0D0p       /org/freedesktop/Hal/devices/pci_1102_6_alsa_playback_0u500
/dev/snd/pcmC0D1p       /org/freedesktop/Hal/devices/pci_1102_6_alsa_playback_1u42
/dev/snd/pcmC0D1p       /org/freedesktop/Hal/devices/pci_1102_6_alsa_playback_1u500
/dev/snd/pcmC0D2p       /org/freedesktop/Hal/devices/pci_1102_6_alsa_playback_2u42
/dev/snd/pcmC0D2p       /org/freedesktop/Hal/devices/pci_1102_6_alsa_playback_2u500
/dev/snd/seq    /org/freedesktop/Hal/devices/computer_alsa_sequencer    u      42
/dev/snd/seq    /org/freedesktop/Hal/devices/computer_alsa_sequencer    u      500
/dev/snd/timer  /org/freedesktop/Hal/devices/computer_alsa_timer        u      42
/dev/snd/timer  /org/freedesktop/Hal/devices/computer_alsa_timer        u      500
/dev/sr0        /org/freedesktop/Hal/devices/storage_model_DVD_ROM_SD_616T     u500
/dev/sr1        /org/freedesktop/Hal/devices/storage_model_DVD_RW_ND_1100A     u500
[root@freshy-desktop ~]# aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Live [Dell Sound Blaster Live!], device 0: emu10k1x [EMU10K1X Front]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Live [Dell Sound Blaster Live!], device 1: emu10k1x [EMU10K1X Rear]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Live [Dell Sound Blaster Live!], device 2: emu10k1x [EMU10K1X Center/LFE]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
[root@freshy-desktop ~]# exit
logout

[engwnbie@freshy-desktop ~]$ aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: Live [Dell Sound Blaster Live!], device 0: emu10k1x [EMU10K1X Front]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Live [Dell Sound Blaster Live!], device 1: emu10k1x [EMU10K1X Rear]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: Live [Dell Sound Blaster Live!], device 2: emu10k1x [EMU10K1X Center/LFE]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
[engwnbie@freshy-desktop ~]$
[engwnbie@freshy-desktop ~]$ uname -a
Linux freshy-desktop.myusenet 2.6.23.9-80.fc8 #1 SMP Wed Dec 5 13:30:42 EST 2007
i686 i686 i386 GNU/Linux
[engwnbie@freshy-desktop ~]$
Comment 44 Adam Pribyl 2007-12-12 03:38:47 EST
I think this is device dependent. As they said on alsa-devel it was fixed for
emu10k1x, but I have this problem with sb16 - it's bit old card but there is no
reason for it to not work.
Comment 45 Fedora Update System 2007-12-12 15:00:06 EST
kernel-2.6.23.9-85.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'
Comment 46 Adam Pribyl 2007-12-14 03:04:45 EST
snd_sb16 is still broken:
#  tree /sys/class/sound
/sys/class/sound
|-- audio
|   |-- dev
|   |-- device -> ../../../devices/isa/sb16.0
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- controlC0
|   |-- dev
|   |-- device -> ../../../devices/isa/sb16.0
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- dmfm
|   |-- dev
|   |-- device -> ../../../devices/isa/sb16.0
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- dmmidi
|   |-- dev
|   |-- device -> ../../../devices/isa/sb16.0
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- dsp
|   |-- dev
|   |-- device -> ../../../devices/isa/sb16.0
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- hwC0D0
|   |-- dev
|   |-- device -> ../../../devices/isa/sb16.0
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- midi
|   |-- dev
|   |-- device -> ../../../devices/isa/sb16.0
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- midiC0D0
|   |-- dev
|   |-- device -> ../../../devices/isa/sb16.0
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- mixer
|   |-- dev
|   |-- device -> ../../../devices/isa/sb16.0
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- pcmC0D0c
|   |-- dev
|   |-- device -> ../../../devices/isa/sb16.0
|   |-- pcm_class
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- pcmC0D0p
|   |-- dev
|   |-- device -> ../../../devices/isa/sb16.0
|   |-- pcm_class
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- seq
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- sequencer
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
|-- sequencer2
|   |-- dev
|   |-- power
|   |   `-- wakeup
|   |-- subsystem -> ../../../class/sound
|   `-- uevent
`-- timer
    |-- dev
    |-- power
    |   `-- wakeup
    |-- subsystem -> ../../../class/sound
    `-- uevent

56 directories, 47 files
Comment 47 Leo Canale 2007-12-14 07:55:12 EST
(In reply to comment #45)
> kernel-2.6.23.9-85.fc8 has been pushed to the Fedora 8 testing repository.  If
problems still persist, please make note of it in this bug report.
>  If you want to test the update, you can install it with 
>  su -c 'yum --enablerepo=updates-testing update kernel'

Still working for me with this kernel, so far!
Comment 48 Fedora Update System 2007-12-20 14:56:08 EST
kernel-2.6.23.9-85.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 49 Ivo Sarak 2007-12-23 11:01:16 EST
I have the kernel-2.6.23.9-85.fc8 running, but nothing has changed - still no
volume control etc.
Comment 50 Lubomir Kundrak 2007-12-23 14:35:54 EST
Reopening this, as problems with snd_sb16 obviously persist.
Ivo: What sound chip do you have?
Comment 51 Ivo Sarak 2007-12-25 15:03:56 EST
It seems that it is still working for me just fine. Somehow messagebus &
haldaemon were not running and because of it the ConsoleKit was failing.
Comment 52 Hans de Goede 2008-01-14 03:49:43 EST
I'm afraid I have to say me too, but I might have some valuable input (I hope).

I have this (permissions not correctly set on sound devices causing sound to
fail for normal user) happening with an onboard ac97 soundcard. But it only
happens sometimes, most times things will work fine, but sometimes the
permissions are not set. All necessary daemons are running, selinux is targeted,
enforcing.

When it does not work simply logging out and in again fixes things. I suspect a
race condition somewhere. This is with a fresh F-8 install.
Comment 53 Lubomir Kundrak 2008-01-14 06:38:59 EST
Hans: I am also seeing this lately, sometimes on suspend/resume, but am not
really sure. Might be related to the fact that I switch virtual consoles from
time to time. Have you by chance noticed something like that?
Comment 54 Hans de Goede 2008-01-14 07:04:03 EST
(In reply to comment #53)
> Hans: I am also seeing this lately, sometimes on suspend/resume, but am not
> really sure. Might be related to the fact that I switch virtual consoles from
> time to time. Have you by chance noticed something like that?

It could be related to switching to a text VC, I do that sometimes too.
Comment 55 Bojan Smojver 2008-02-05 19:15:40 EST
Seeing this still. Kernel is 2.6.23.14-107.fc8.
Comment 56 Phil Mayers 2008-02-16 13:15:16 EST
All,

Reading this, there seem to be several reports in here; might it be an idea to
split the permissions-related stuff off to a different bug?

However, I am seeing a recurrence of the "real" bug i.e. no symlinks in
/sys/class/snd, on an EMU10k. This is with kernel 2.6.23.15-137.fc8

I've swapped the card out for one that works at the moment, but if need be I can
drop it back and and generate diags; let me know
Comment 57 Leo Canale 2008-02-24 10:28:39 EST
(In reply to comment #56)
> All,
> Reading this, there seem to be several reports in here; might it be an idea to
> split the permissions-related stuff off to a different bug?
> However, I am seeing a recurrence of the "real" bug i.e. no symlinks in
> /sys/class/snd, on an EMU10k. This is with kernel 2.6.23.15-137.fc8
> I've swapped the card out for one that works at the moment, but if need be I 
can
> drop it back and and generate diags; let me know
I have a EMU10k and the latest kernel, kernel 2.6.23.15-137.fc8 and it is still 
ok for me...!

Comment 58 Lubomir Kundrak 2008-02-29 04:27:11 EST
*** Bug 431834 has been marked as a duplicate of this bug. ***
Comment 59 D. E. Evans 2008-03-18 15:21:24 EDT
> It could be related to switching to a text VC, I do that sometimes too.

This may be it.  I did not have gdm installed, and ran mostly from the text
console (alsamixer works fine as long as pulse audio is not installed).  After
seeing this message, I installed gdm, changed to init 5, and from a login
through gdm the volume mixer works fine.  Changing back to run level 3, and
running startx gives the gstreamer error.  (Kernel 2.6.24.3-12.fc8)
Comment 60 Bojan Smojver 2008-03-19 05:28:21 EDT
Since switching to 2.6.24.3-34.fc8 and commenting out this in /etc/modprobe.conf:
------------------------------------
#options snd cards_limit=8
#alias snd-card-0 snd-hda-intel
#options snd-hda-intel index=0
#alias snd-card-7 snd-usb-audio
#options snd-usb-audio index=7
#remove snd-hda-intel { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-hda-intel
------------------------------------

It's been behaving through several hibernate/thaw cycles on two systems that
have been observing this problem before. Fingers crossed...
Comment 61 Bojan Smojver 2008-05-08 03:22:43 EDT
Can this bug be closed or is there still a problem? I'm asking because I have
not seen this after doing the change in comment #60.
Comment 62 Adam Pribyl 2008-05-09 03:59:28 EDT
I did not try that with latest kernels and/or rawhide, but was not fixed for
sb16... 
Comment 63 Leo Canale 2008-05-09 14:10:28 EDT
(In reply to comment #61)
> Can this bug be closed or is there still a problem? I'm asking because I have
> not seen this after doing the change in comment #60.
I have not seen this problem since (kernel-2.6.23.9-85.fc8).
 

Comment 64 Bug Zapper 2008-11-26 03:14:02 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 65 Bojan Smojver 2008-11-26 05:03:06 EST
I haven't seen this in F-9 or F-10. Probably closing material.
Comment 66 James 2008-12-02 17:55:42 EST
Created attachment 325444 [details]
.xsession-errors from a clean account

I saw one today. F9->F10 upgrade, but this was with a fresh account. At first g-v-c kept crashing, but it did this on a subsequent login. I'll see if I can reproduce it and get some info, I've attached the .xsession-errors.
Comment 67 Bug Zapper 2009-01-09 02:22:45 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 68 sunny_smart_99 2014-01-23 12:19:29 EST
Hi users,

I am a newbee in Linux and dont have much knowledge on the file system. I installed Linux 5.5 on my hp laptop i7 and later when i check the audio was not working. in system > administration > sound card detection it shows "intel corporation 6 series/c200 series chipset family high definition audio controller" but the icon on the right top corner of the screen still has the red cross mark. i tried to install a few rpms but it didnot work. later i tried a few steps from this blog and still didnot get through. can any1 help me. thank you

command that i have tried are :

chcon: /usr/lib/gstreamer-0.10/libgstflump3dec.so: No such file or directory
[root@max ~]# chkconfig  --list haldaemon
haldaemon       0:off   1:off   2:off   3:on    4:on    5:on    6:off
[root@max ~]# chkconfig --list ConsoleKit
error reading information on service ConsoleKit: No such file or directory
[root@max ~]# ls -al /dev/snd/
ls: /dev/snd/: No such file or directory
[root@max ~]# cat /var/lib/hal/acl-list 
cat: /var/lib/hal/acl-list: No such file or directory
[root@max ~]# aplay -l
aplay: device_list:215: no soundcards found...
[root@max ~]# rpm -q hal ConsoleKit ConsoleKit-libs
hal-0.5.8.1-64.el5
hal-0.5.8.1-64.el5
package ConsoleKit is not installed
package ConsoleKit-libs is not installed
[root@max ~]# yum update hal-0.5.8.1-64.el5
Loaded plugins: security
Skipping security plugin, no data
Setting up Update Process
No Packages marked for Update
[root@max ~]# tree /sys/class/sound
/sys/class/sound [error opening dir]
Comment 69 Adam Pribyl 2014-01-23 14:34:56 EST
Thanks for reporting, but this is 6 years old closed bug for Fedora 8. What is your Linux 5.5? Is it a CentOS 5.5? Please then report it to http://bugs.centos.org/

Note You need to log in before you can comment on or make changes to this bug.